###############################################################################
# Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

diff --git a/nls/iso8859-13/Compose.pre b/nls/iso8859-13/Compose.pre
index 3e02ca9..c95fce0 100644
--- a/nls/iso8859-13/Compose.pre
+++ b/nls/iso8859-13/Compose.pre
@@ -1,18 +1,106 @@
 XCOMM
 XCOMM ISO 8859-13 (Latin7) Compose Sequence
 XCOMM
+XCOMM Copyright (c) 2006, Oracle and/or its affiliates. All rights reserved.
+XCOMM
+XCOMM
+XCOMM Copyright (C) 1994 X Consortium
+XCOMM
+XCOMM Permission is hereby granted, free of charge, to any person obtaining a copy
+XCOMM of this software and associated documentation files (the "Software"), to
+XCOMM deal in the Software without restriction, including without limitation the
+XCOMM rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+XCOMM sell copies of the Software, and to permit persons to whom the Software is
+XCOMM furnished to do so, subject to the following conditions:
+XCOMM
+XCOMM The above copyright notice and this permission notice shall be included in
+XCOMM all copies or substantial portions of the Software.
+XCOMM
+XCOMM THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+XCOMM IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+XCOMM FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+XCOMM X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+XCOMM AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNEC-
+XCOMM TION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+XCOMM
+XCOMM Except as contained in this notice, the name of the X Consortium shall not
+XCOMM be used in advertising or otherwise to promote the sale, use or other deal-
+XCOMM ings in this Software without prior written authorization from the X Consor-
+XCOMM tium.
+XCOMM
+XCOMM X Window System is a trademark of X Consortium, Inc.
+XCOMM
+
+XCOMM
+XCOMM
+XCOMM ISO 8859-13 (Latin8) Compose Sequence
+XCOMM
+XCOMM Toomas Soome 09 Sep 1997
+XCOMM
+XCOMM There are a number of multikeys used in these locales that the user needs
+XCOMM needs to be aware of to produce lv/lt  extended characters
+XCOMM on a US keyboard, these are as follows :
+XCOMM 	diaeresis = quotedbl
+XCOMM       caron = v  e.g. <compose> + E + v = Ecaron
+XCOMM
+XCOMM
 XCOMM Sequence Definition
 XCOMM
 XCOMM <Multi_key> Means <Compose>
 XCOMM Special Character
 XCOMM Right-hand side (Accented Alphabet)
-XCOMM These compose sequences are pure supposition on my part.
-XCOMM It would be nice to know what the real cultural conventions
-XCOMM are for compose sequences.
+
+XCOMM Keyboard translations.
+
+XCOMM translate ogonek to low double comma quotation mark
+<ogonek>				: "\245" ogonek
+XCOMM translate cedilla to double comma quotation mark
+<cedilla>				: "\241" cedilla
+
+<aogonek>				: "\340" aogonek
+<Aogonek>				: "\300" Aogonek
+<zcaron>				: "\376" zcaron
+<Zcaron>				: "\336" Zcaron
+<iogonek>				: "\341" iogonek
+<Iogonek>				: "\301" Iogonek
+<uogonek>				: "\370" uogonek
+<Uogonek>				: "\330" Uogonek
+<eabovedot>				: "\353" eabovedot
+<Eabovedot>				: "\313" Eabovedot
+<umacron>				: "\373" umacron
+<Umacron>				: "\333" Umacron
+<ccaron>				: "\350" ccaron
+<Ccaron>				: "\310" Ccaron
+<scaron>				: "\360" scaron
+<Scaron>				: "\320" Scaron
+<eogonek>				: "\346" eogonek
+<Eogonek>				: "\306" Eogonek
+<emacron>				: "\347" emacron
+<Emacron>				: "\307" Emacron
+<rcedilla>				: "\272" rcedilla
+<Rcedilla>				: "\252" Rcedilla
+<imacron>				: "\356" imacron
+<Imacron>				: "\316" Imacron
+<omacron>				: "\364" omacron
+<Omacron>				: "\324" Omacron
+<amacron>				: "\342" amacron
+<Amacron>				: "\302" Amacron
+<gcedilla>				: "\354" gcedilla
+<Gcedilla>				: "\314" Gcedilla
+<kcedilla>				: "\355" kcedilla
+<Kcedilla>				: "\315" Kcedilla
+<lcedilla>				: "\357" lcedilla
+<Lcedilla>				: "\317" Lcedilla
+<ncedilla>				: "\362" ncedilla
+<Ncedilla>				: "\322" Ncedilla
+<currency>				: "\244" currency
+
+
 <Multi_key> <plus> <plus>               : "#"   numbersign
 <Multi_key> <apostrophe> <space>        : "'"   apostrophe
 <Multi_key> <space> <apostrophe>        : "'"   apostrophe
 <Multi_key> <A> <T>                     : "@"   at
+<Multi_key> <A> <A>			: "@"	at
 <Multi_key> <parenleft> <parenleft>     : "["   bracketleft
 <Multi_key> <slash> <slash>             : "\\"  backslash
 <Multi_key> <slash> <less>              : "\\"  backslash
@@ -24,29 +112,26 @@ XCOMM are for compose sequences.
 <Multi_key> <space> <greater>           : "^"   asciicircum
 <Multi_key> <grave> <space>             : "`"   grave
 <Multi_key> <space> <grave>             : "`"   grave
-<Multi_key> <less> <apostrophe>         : "`"   grave
-<Multi_key> <apostrophe> <less>         : "`"   grave
 <Multi_key> <parenleft> <minus>         : "{"   braceleft
 <Multi_key> <minus> <parenleft>         : "{"   braceleft
 <Multi_key> <slash> <asciicircum>       : "|"   bar
 <Multi_key> <asciicircum> <slash>       : "|"   bar
+<Multi_key> <V> <L>			: "|"	bar
+<Multi_key> <L> <V>			: "|"	bar
+<Multi_key> <v> <l>			: "|"	bar
+<Multi_key> <l> <v>			: "|"	bar
 <Multi_key> <parenright> <minus>        : "}"   braceright
 <Multi_key> <minus> <parenright>        : "}"   braceright
 <Multi_key> <asciitilde> <space>        : "~"   asciitilde
 <Multi_key> <space> <asciitilde>        : "~"   asciitilde
 <Multi_key> <minus> <space>             : "~"   asciitilde
 <Multi_key> <space> <minus>             : "~"   asciitilde
-<Multi_key> <greater> <quotedbl>	: "\241"	rightdoublequotemark
-<Multi_key> <quotedbl> <greater>	: "\241"	rightdoublequotemark
-<Multi_key> <greater> <comma>		: "\245"	doublelowquotemark
-<Multi_key> <comma> <greater>		: "\245"	doublelowquotemark
-<Multi_key> <less> <quotedbl>		: "\264"	leftdoublequotemark
-<Multi_key> <quotedbl> <less>		: "\264"	leftdoublequotemark
+XCOMM
+<Multi_key> <quotedbl> <asciicircum>	: "\241"
+<Multi_key> <comma> <comma>		: "\245"	doublelowquotemark
+<Multi_key> <grave> <grave>		: "\264"	leftdoublequotemark
 <Multi_key> <less> <less>               : "\253"        guillemotleft
 <Multi_key> <greater> <greater>         : "\273"        guillemotright
-<Multi_key> <apostrophe> <apostrophe>	: "\377"	rightsinglequotemark
-<Multi_key> <greater> <apostrophe> 	: "\377"	rightsinglequotemark
-<Multi_key> <apostrophe> <greater>	: "\377"	rightsinglequotemark
 <Multi_key> <c> <slash>                 : "\242"        cent
 <Multi_key> <slash> <c>                 : "\242"        cent
 <Multi_key> <C> <slash>                 : "\242"        cent
@@ -55,6 +140,10 @@ XCOMM are for compose sequences.
 <Multi_key> <bar> <C>                   : "\242"        cent
 <Multi_key> <c> <bar>                   : "\242"        cent
 <Multi_key> <bar> <c>                   : "\242"        cent
+<Multi_key> <l> <minus>                 : "\243"        sterling
+<Multi_key> <minus> <l>                 : "\243"        sterling
+<Multi_key> <L> <minus>                 : "\243"        sterling
+<Multi_key> <minus> <L>                 : "\243"        sterling
 <Multi_key> <l> <equal>                 : "\243"        sterling
 <Multi_key> <equal> <l>                 : "\243"        sterling
 <Multi_key> <L> <equal>                 : "\243"        sterling
@@ -132,6 +221,8 @@ XCOMM are for compose sequences.
 <Multi_key> <period> <asciicircum>      : "\267"        periodcentered
 <Multi_key> <asciicircum> <period>      : "\267"        periodcentered
 <Multi_key> <period> <period>           : "\267"        periodcentered
+<Multi_key> <o> <slash>                 : "\270"        oslash
+<Multi_key> <slash> <o>                 : "\270"        oslash
 <Multi_key> <1> <4>                     : "\274"        onequarter
 <Multi_key> <1> <2>                     : "\275"        onehalf
 <Multi_key> <3> <4>                     : "\276"        threequarters
@@ -166,8 +257,12 @@ XCOMM Accented Alphabet
 <Multi_key> <L> <cedilla>		: "\317"	Lcedilla
 <Multi_key> <comma> <L>			: "\317"	Lcedilla
 <Multi_key> <cedilla> <L>		: "\317"	Lcedilla
-<Multi_key> <S> <less>			: "\320"	Scaron
-<Multi_key> <less> <S>			: "\320"	Scaron
+<Multi_key> <S> <v>			: "\320"	Scaron
+<Multi_key> <S> <V>			: "\320"	Scaron
+<Multi_key> <v> <S>			: "\320"	Scaron
+<Multi_key> <V> <S>			: "\320"	Scaron
+<Multi_key> <asciicircum> <S>           : "\320"        Scaron
+<Multi_key> <S> <asciicircum>           : "\320"        Scaron
 <Multi_key> <E> <minus>			: "\307"	Emacron
 <Multi_key> <minus> <E>			: "\307"	Emacron
 <Multi_key> <E> <underscore>		: "\307"	Emacron
@@ -176,12 +271,11 @@ XCOMM Accented Alphabet
 <Multi_key> <G> <cedilla>		: "\314"	Gcedilla
 <Multi_key> <comma> <G>			: "\314"	Gcedilla
 <Multi_key> <cedilla> <G>		: "\314"	Gcedilla
-<Multi_key> <Z> <less>			: "\336"	Zcaron
-<Multi_key> <less> <Z>			: "\336"	Zcaron
-<Multi_key> <a> <semicolon>		: "\340"	aogonek
-<Multi_key> <semicolon> <a>		: "\340"	aogonek
-<Multi_key> <a> <comma>			: "\340"	aogonek
-<Multi_key> <comma> <a>			: "\340"	aogonek
+<Multi_key> <Z> <v>			: "\336"	Zcaron
+<Multi_key> <v> <Z>			: "\336"	Zcaron
+<Multi_key> <ogonek> <a>		: "\340"        aogonek
+<Multi_key> <a> <ogonek>                : "\340"        aogonek
+<Multi_key> <a> <a>                	: "\340"        aogonek
 <Multi_key> <r> <comma>			: "\272"	rcedilla
 <Multi_key> <r> <cedilla>		: "\272"	rcedilla
 <Multi_key> <comma> <r>			: "\272"	rcedilla
@@ -190,8 +284,10 @@ XCOMM Accented Alphabet
 <Multi_key> <l> <cedilla>		: "\357"	lcedilla
 <Multi_key> <comma> <l>			: "\357"	lcedilla
 <Multi_key> <cedilla> <l>		: "\357"	lcedilla
-<Multi_key> <s> <less>			: "\360"	scaron
-<Multi_key> <less> <s>			: "\360"	scaron
+<Multi_key> <s> <v>			: "\360"	scaron
+<Multi_key> <s> <V>			: "\360"	scaron
+<Multi_key> <v> <s>			: "\360"	scaron
+<Multi_key> <V> <s>			: "\360"	scaron
 <Multi_key> <e> <minus>			: "\347"	emacron
 <Multi_key> <minus> <e>			: "\347"	emacron
 <Multi_key> <e> <underscore>		: "\347"	emacron
@@ -200,8 +296,9 @@ XCOMM Accented Alphabet
 <Multi_key> <g> <cedilla>		: "\354"	gcedilla
 <Multi_key> <comma> <g>			: "\354"	gcedilla
 <Multi_key> <cedilla> <g>		: "\354"	gcedilla
-<Multi_key> <z> <less>			: "\376"	zcaron
-<Multi_key> <less> <z>			: "\376"	zcaron
+<Multi_key> <ogonek> <A>                : "\300"        Aogonek
+<Multi_key> <A> <ogonek>                : "\300"        Aogonek
+<Multi_key> <a> <A>                	: "\300"        Aogonek
 <Multi_key> <A> <underscore>		: "\302"	Amacron
 <Multi_key> <underscore> <A>		: "\302"	Amacron
 <Multi_key> <A> <minus>			: "\302"	Amacron
@@ -210,23 +307,22 @@ XCOMM Accented Alphabet
 <Multi_key> <quotedbl> <A>		: "\304"	Adiaeresis
 <Multi_key> <A> <asterisk>		: "\305"	Aring
 <Multi_key> <asterisk> <A>		: "\305"	Aring
-<Multi_key> <A> <A>			: "\305"	Aring
-<Multi_key> <A> <O>			: "\305"	Aring
 <Multi_key> <A> <E>			: "\257"	AE
-<Multi_key> <I> <semicolon>		: "\301"	Iogonek
-<Multi_key> <semicolon> <I>		: "\301"	Iogonek
-<Multi_key> <I> <comma>			: "\301"	Iogonek
-<Multi_key> <comma> <I>			: "\301"	Iogonek
-<Multi_key> <C> <less>			: "\310"	Ccaron
-<Multi_key> <less> <C>			: "\310"	Ccaron
+<Multi_key> <I> <ogonek>		: "\301"	Iogonek
+<Multi_key> <ogonek> <I>		: "\301"	Iogonek
+<Multi_key> <a> <I>			: "\301"	Iogonek
+<Multi_key> <C> <v>			: "\310"	Ccaron
+<Multi_key> <v> <C>			: "\310"	Ccaron
+<Multi_key> <C> <V>			: "\310"	Ccaron
+<Multi_key> <V> <C>			: "\310"	Ccaron
 <Multi_key> <E> <acute>			: "\311"	Eacute
 <Multi_key> <acute> <E>			: "\311"	Eacute
 <Multi_key> <E> <apostrophe>		: "\311"	Eacute
 <Multi_key> <apostrophe> <E>		: "\311"	Eacute
-<Multi_key> <E> <semicolon>		: "\306"	Eogonek
-<Multi_key> <semicolon> <E>		: "\306"	Eogonek
-<Multi_key> <E> <comma>			: "\306"	Eogonek
-<Multi_key> <comma> <E>			: "\306"	Eogonek
+<Multi_key> <E> <a>			: "\306"	Eogonek
+<Multi_key> <a> <E>			: "\306"	Eogonek
+<Multi_key> <ogonek> <E>		: "\306"        Eogonek
+<Multi_key> <E> <ogonek>		: "\306"        Eogonek
 <Multi_key> <E> <period>		: "\313"	Eabovedot
 <Multi_key> <period> <E>		: "\313"	Eabovedot
 <Multi_key> <I> <minus>			: "\316"	Imacron
@@ -239,22 +335,25 @@ XCOMM Accented Alphabet
 <Multi_key> <cedilla> <N>		: "\322"	Ncedilla
 <Multi_key> <O> <underscore>		: "\324"	Omacron
 <Multi_key> <underscore> <O>		: "\324"	Omacron
-<Multi_key> <O> <minus>			: "\324"	Omacron
-<Multi_key> <minus> <O>			: "\324"	Omacron
+XCOMM Conflicts with mapping to Otilde below
+XCOMM <Multi_key> <O> <minus>			: "\324"	Omacron
+XCOMM <Multi_key> <minus> <O>			: "\324"	Omacron
 <Multi_key> <K> <comma>			: "\315"	Kcedilla
 <Multi_key> <K> <cedilla>		: "\315"	Kcedilla
 <Multi_key> <comma> <K>			: "\315"	Kcedilla
 <Multi_key> <cedilla> <K>		: "\315"	Kcedilla
 <Multi_key> <O> <asciitilde>		: "\325"	Otilde
 <Multi_key> <asciitilde> <O>		: "\325"	Otilde
+<Multi_key> <O> <minus>                 : "\325"        Otilde
+<Multi_key> <minus> <O>                 : "\325"        Otilde
 <Multi_key> <O> <quotedbl>		: "\326"	Odiaeresis
 <Multi_key> <quotedbl> <O>		: "\326"	Odiaeresis
 <Multi_key> <O> <slash>			: "\250"	Ooblique
 <Multi_key> <slash> <O>			: "\250"	Ooblique
-<Multi_key> <U> <semicolon>		: "\330"	Uogonek
-<Multi_key> <semicolon> <U>		: "\330"	Uogonek
-<Multi_key> <U> <comma>			: "\330"	Uogonek
-<Multi_key> <comma> <U>			: "\330"	Uogonek
+<Multi_key> <U> <a>			: "\330"	Uogonek
+<Multi_key> <U> <ogonek>		: "\330"	Uogonek
+<Multi_key> <a> <U>			: "\330"	Uogonek
+<Multi_key> <ogonek> <U>		: "\330"	Uogonek
 <Multi_key> <U> <quotedbl>		: "\334"	Udiaeresis
 <Multi_key> <quotedbl> <U>		: "\334"	Udiaeresis
 <Multi_key> <U> <underscore>		: "\333"	Umacron
@@ -270,23 +369,23 @@ XCOMM Accented Alphabet
 <Multi_key> <quotedbl> <a>		: "\344"	adiaeresis
 <Multi_key> <a> <asterisk>		: "\345"	aring
 <Multi_key> <asterisk> <a>		: "\345"	aring
-<Multi_key> <a> <a>			: "\345"	aring
-<Multi_key> <a> <o>			: "\345"	aring
 <Multi_key> <a> <e>			: "\277"	ae
-<Multi_key> <i> <semicolon>		: "\341"	iogonek
-<Multi_key> <semicolon> <i>		: "\341"	iogonek
-<Multi_key> <i> <comma>			: "\341"	iogonek
-<Multi_key> <comma> <i>			: "\341"	iogonek
-<Multi_key> <c> <less>			: "\350"	ccaron
-<Multi_key> <less> <c>			: "\350"	ccaron
+<Multi_key> <i> <ogonek>		: "\341"	iogonek
+<Multi_key> <i> <a>			: "\341"	iogonek
+<Multi_key> <a> <i>			: "\341"	iogonek
+<Multi_key> <ogonek> <i>		: "\341"	iogonek
+<Multi_key> <c> <v>			: "\350"	ccaron
+<Multi_key> <v> <c>			: "\350"	ccaron
+<Multi_key> <c> <V>			: "\350"	ccaron
+<Multi_key> <V> <c>			: "\350"	ccaron
 <Multi_key> <e> <acute>			: "\351"	eacute
 <Multi_key> <acute> <e>			: "\351"	eacute
 <Multi_key> <e> <apostrophe>		: "\351"	eacute
 <Multi_key> <apostrophe> <e>		: "\351"	eacute
-<Multi_key> <e> <semicolon>		: "\346"	eogonek
-<Multi_key> <semicolon> <e>		: "\346"	eogonek
-<Multi_key> <e> <comma>			: "\346"	eogonek
-<Multi_key> <comma> <e>			: "\346"	eogonek
+<Multi_key> <e> <ogonek>		: "\346"	eogonek
+<Multi_key> <e> <a>			: "\346"	eogonek
+<Multi_key> <a> <e>			: "\346"	eogonek
+<Multi_key> <ogonek> <e>		: "\346"	eogonek
 <Multi_key> <e> <period>		: "\353"	eabovedot
 <Multi_key> <period> <e>		: "\353"	eabovedot
 <Multi_key> <i> <minus>			: "\356"	imacron
@@ -299,22 +398,26 @@ XCOMM Accented Alphabet
 <Multi_key> <cedilla> <n>		: "\362"	ncedilla
 <Multi_key> <o> <underscore>		: "\364"	omacron
 <Multi_key> <underscore> <o>		: "\364"	omacron
-<Multi_key> <o> <minus>			: "\364"	omacron
-<Multi_key> <minus> <o>			: "\364"	omacron
+XCOMM Conflicts with otilde mapping below
+XCOMM <Multi_key> <o> <minus>			: "\364"	omacron
+XCOMM <Multi_key> <minus> <o>			: "\364"	omacron
 <Multi_key> <k> <comma>			: "\355"	kcedilla
 <Multi_key> <k> <cedilla>		: "\355"	kcedilla
 <Multi_key> <comma> <k>			: "\355"	kcedilla
 <Multi_key> <cedilla> <k>		: "\355"	kcedilla
 <Multi_key> <o> <asciitilde>		: "\365"	otilde
 <Multi_key> <asciitilde> <o>		: "\365"	otilde
+<Multi_key> <o> <minus>                 : "\365"        otilde
+<Multi_key> <minus> <o>                 : "\365"        otilde
 <Multi_key> <o> <quotedbl>		: "\366"	odiaeresis
 <Multi_key> <quotedbl> <o>		: "\366"	odiaeresis
-<Multi_key> <o> <slash>			: "\270"	ooblique
-<Multi_key> <slash> <o>			: "\270"	ooblique
-<Multi_key> <u> <semicolon>		: "\370"	uogonek
-<Multi_key> <semicolon> <u>		: "\370"	uogonek
-<Multi_key> <u> <comma>			: "\370"	uogonek
-<Multi_key> <comma> <u>			: "\370"	uogonek
+XCOMM Conflicts with oslash mapping above
+XCOMM <Multi_key> <o> <slash>			: "\270"	ooblique
+XCOMM <Multi_key> <slash> <o>			: "\270"	ooblique
+<Multi_key> <u> <a>			: "\370"	uogonek
+<Multi_key> <u> <ogonek>		: "\370"	uogonek
+<Multi_key> <a> <u>			: "\370"	uogonek
+<Multi_key> <ogonek> <u>		: "\370"	uogonek
 <Multi_key> <u> <quotedbl>		: "\374"	udiaeresis
 <Multi_key> <quotedbl> <u>		: "\374"	udiaeresis
 <Multi_key> <u> <underscore>		: "\373"	umacron
@@ -323,110 +426,384 @@ XCOMM Accented Alphabet
 <Multi_key> <minus> <u>			: "\373"	umacron
 <Multi_key> <C> <apostrophe>		: "\303"	Cacute
 <Multi_key> <apostrophe> <C>		: "\303"	Cacute
+<Multi_key> <C> <acute>		: "\303"	Cacute
+<Multi_key> <acute> <C>		: "\303"	Cacute
 <Multi_key> <c> <apostrophe>		: "\343"	cacute
 <Multi_key> <apostrophe> <c>		: "\343"	cacute
+<Multi_key> <c> <acute>		: "\343"	cacute
+<Multi_key> <acute> <c>		: "\343"	cacute
 <Multi_key> <O> <apostrophe>		: "\323"	Oacute
 <Multi_key> <apostrophe> <O>		: "\323"	Oacute
+<Multi_key> <O> <acute>                 : "\323"        Oacute
+<Multi_key> <acute> <O>                 : "\323"        Oacute
 <Multi_key> <o> <apostrophe>		: "\363"	oacute
 <Multi_key> <apostrophe> <o>		: "\363"	oacute
+<Multi_key> <o> <acute>                 : "\363"        oacute
+<Multi_key> <acute> <o>                 : "\363"        oacute
 <Multi_key> <Z> <apostrophe>		: "\312"	Zacute
 <Multi_key> <apostrophe> <Z>		: "\312"	Zacute
+<Multi_key> <Z> <acute>		: "\312"	Zacute
+<Multi_key> <acute> <Z>		: "\312"	Zacute
 <Multi_key> <z> <apostrophe>		: "\352"	zacute
 <Multi_key> <apostrophe> <z>		: "\352"	zacute
+<Multi_key> <z> <acute>		: "\352"	zacute
+<Multi_key> <acute> <z>		: "\352"	zacute
 <Multi_key> <N> <apostrophe>		: "\321"	Nacute
 <Multi_key> <apostrophe> <N>		: "\321"	Nacute
+<Multi_key> <N> <acute>			: "\321"	Nacute
+<Multi_key> <acute> <N>			: "\321"	Nacute
 <Multi_key> <n> <apostrophe>		: "\361"	nacute
 <Multi_key> <apostrophe> <n>		: "\361"	nacute
-<Multi_key> <L> <minus>			: "\331"	Lstroke
-<Multi_key> <minus> <L>			: "\331"	Lstroke
+<Multi_key> <n> <acute>			: "\361"	nacute
+<Multi_key> <acute> <n>			: "\361"	nacute
+XCOMM Conflicts with mapping to sterling
+XCOMM <Multi_key> <L> <minus>			: "\331"	Lstroke
+XCOMM <Multi_key> <minus> <L>			: "\331"	Lstroke
 <Multi_key> <L> <slash>			: "\331"	Lstroke
 <Multi_key> <slash> <L>			: "\331"	Lstroke
-<Multi_key> <l> <minus>			: "\371"	lstroke
-<Multi_key> <minus> <l>			: "\371"	lstroke
+XCOMM <Multi_key> <l> <minus>			: "\371"	lstroke
+XCOMM <Multi_key> <minus> <l>			: "\371"	lstroke
 <Multi_key> <l> <slash>			: "\371"	lstroke
 <Multi_key> <slash> <l>			: "\371"	lstroke
+<Multi_key> <S> <acute>			: "\332"	Sacute
+<Multi_key> <acute> <S>			: "\332"	Sacute
 <Multi_key> <S> <apostrophe>		: "\332"	Sacute
 <Multi_key> <apostrophe> <S>		: "\332"	Sacute
+<Multi_key> <s> <acute>			: "\372"	sacute
+<Multi_key> <acute> <s>			: "\372"	sacute
 <Multi_key> <s> <apostrophe>		: "\372"	sacute
 <Multi_key> <apostrophe> <s>		: "\372"	sacute
 <Multi_key> <Z> <period>		: "\335"	Zabovedot
 <Multi_key> <period> <Z>		: "\335"	Zabovedot
 <Multi_key> <z> <period>		: "\375"	zabovedot
 <Multi_key> <period> <z>		: "\375"	zabovedot
+<Multi_key> <z> <v>			: "\376"	zcaron
+<Multi_key> <v> <z>			: "\376"	zcaron
+<Multi_key> <comma> <space>		: "\377"
+<Multi_key> <space> <comma>		: "\377"
 
-<dead_abovedot> <A>			: "\305"	Aring
-<dead_abovedot> <a>			: "\345"	aring
-<dead_abovedot> <E> 			: "\313"	Eabovedot
-<dead_abovedot> <e>			: "\353"	eabovedot
-<dead_abovedot> <Z>			: "\335"	Zabovedot
-<dead_abovedot> <z>			: "\375"	zabovedot
-<dead_abovedot> <dead_abovedot>		: "\267"	abovedot
-<dead_abovering> <A>			: "\305"	Aring
-<dead_abovering> <a>			: "\345"	aring
-<dead_abovering> <E> 			: "\313"	Eabovedot
-<dead_abovering> <e>			: "\353"	eabovedot
-<dead_abovering> <Z>			: "\335"	Zabovedot
-<dead_abovering> <z>			: "\375"	zabovedot
-<dead_abovering> <ring>			: "\260"	ring
-<dead_abovering> <dead_abovering>	: "\260"	ring
-<dead_acute> <dead_acute>		: "\377"	rightsinglequotemark
-<dead_acute> <C>			: "\303"	Cacute
-<dead_acute> <E>			: "\311"	Eacute
-<dead_acute> <Z>			: "\312"	Zacute
-<dead_acute> <N>			: "\321"	Nacute
-<dead_acute> <O>			: "\323"	Oacute
-<dead_acute> <S>			: "\332"	Sacute
-<dead_acute> <c>			: "\343"	cacute
-<dead_acute> <e>			: "\351"	eacute
-<dead_acute> <z>			: "\352"	zacute
-<dead_acute> <n>			: "\361"	nacute
-<dead_acute> <o>			: "\363"	oacute
-<dead_acute> <s>			: "\372"	sacute
-<dead_caron> <C>			: "\310"	Ccaron
-<dead_caron> <S>			: "\320"	Scaron
-<dead_caron> <Z>			: "\336"	Zcaron
-<dead_caron> <c>			: "\350"	ccaron
-<dead_caron> <s>			: "\360"	scaron
-<dead_caron> <z>			: "\376"	zcaron
-<dead_cedilla> <R>			: "\252"	Rcedilla
-<dead_cedilla> <G>			: "\314"	Gcedilla
-<dead_cedilla> <K>			: "\315"	Kcedilla
-<dead_cedilla> <L>			: "\317"	Lcedilla
-<dead_cedilla> <N>			: "\322"	Ncedilla
-<dead_cedilla> <r>			: "\272"	rcedilla
-<dead_cedilla> <g>			: "\354"	gcedilla
-<dead_cedilla> <k>			: "\355"	kcedilla
-<dead_cedilla> <l>			: "\357"	lcedilla
-<dead_cedilla> <n>			: "\362"	ncedilla
-<dead_diaeresis> <A>			: "\304"	Adiaeresis
-<dead_diaeresis> <O>			: "\326"	Odiaeresis
-<dead_diaeresis> <U>			: "\334"	Udiaeresis
-<dead_diaeresis> <a>			: "\344"	adiaeresis
-<dead_diaeresis> <o>			: "\366"	odiaeresis
-<dead_diaeresis> <u>			: "\374"	udiaeresis
-<dead_macron> <A>			: "\302"	Amacron
-<dead_macron> <E>			: "\307"	Emacron
-<dead_macron> <I>			: "\316"	Imacron
-<dead_macron> <O>			: "\324"	Omacron
-<dead_macron> <U>			: "\333"	Umacron
-<dead_macron> <a>			: "\342"	amacron
-<dead_macron> <e>			: "\347"	emacron
-<dead_macron> <i>			: "\356"	imacron
-<dead_macron> <o>			: "\364"	omacron
-<dead_macron> <u>			: "\373"	umacron
-<dead_macron> <macron>			: "\255"	macron
-<dead_macron> <dead_macron>		: "\255"	macron
-<dead_ogonek> <A>			: "\300"	Aogonek
-<dead_ogonek> <I>			: "\301"	Iogonek
-<dead_ogonek> <E>			: "\306"	Eogonek
-<dead_ogonek> <U>			: "\330"	Uogonek
-<dead_ogonek> <a>			: "\340"	aogonek
-<dead_ogonek> <i>			: "\341"	iogonek
-<dead_ogonek> <e>			: "\346"	eogonek
-<dead_ogonek> <u>			: "\370"	uogonek
-<dead_tilde> <O>			: "\325"	Otilde
-<dead_tilde> <o>			: "\365"	otilde
-<dead_tilde> <asciitilde>		: "~"		asciitilde
-<dead_tilde> <dead_tilde>		: "~"		asciitilde
+Ctrl<T> <plus> <plus>		: "#"	numbersign
+Ctrl<T> <apostrophe> <space>	: "'"	apostrophe
+Ctrl<T> <space> <apostrophe>	: "'"	apostrophe
+Ctrl<T> <A> <A>			: "@"	at
+Ctrl<T> <parenleft> <parenleft>	: "["	bracketleft
+Ctrl<T> <slash> <slash>		: "\\"	backslash
+Ctrl<T> <slash> <less>		: "\\"	backslash
+Ctrl<T> <less> <slash>		: "\\"	backslash
+Ctrl<T> <parenright> <parenright>	: "]"	bracketright
+Ctrl<T> <asciicircum> <space>	: "^"	asciicircum
+Ctrl<T> <space> <asciicircum>	: "^"	asciicircum
+Ctrl<T> <greater> <space>		: "^"	asciicirum
+Ctrl<T> <space> <greater>		: "^"	asciicirum
+Ctrl<T> <grave> <space>		: "`"	grave
+Ctrl<T> <space> <grave>		: "`"	grave
+Ctrl<T> <parenleft> <minus>		: "{"	braceleft
+Ctrl<T> <minus> <parenleft>		: "{"	braceleft
+Ctrl<T> <slash> <asciicircum>	: "|"	bar
+Ctrl<T> <asciicircum> <slash>	: "|"	bar
+Ctrl<T> <V> <L>			: "|"	bar
+Ctrl<T> <L> <V>			: "|"	bar
+Ctrl<T> <v> <l>			: "|"	bar
+Ctrl<T> <l> <v>			: "|"	bar
+Ctrl<T> <parenright> <minus>	: "}"	braceright
+Ctrl<T> <minus> <parenright>	: "}"	braceright
+Ctrl<T> <asciitilde> <space>	: "~"	asciitilde
+Ctrl<T> <space> <asciitilde>	: "~"	asciitilde
+Ctrl<T> <minus> <space>		: "~"	asciitilde
+Ctrl<T> <space> <minus>		: "~"	asciitilde
+Ctrl<T> <space> <space>             : "\240"        nobreakspace
+Ctrl<T> <quotedbl> <asciicircum>    : "\241"
+Ctrl<T> <c> <slash>                 : "\242"        cent
+Ctrl<T> <slash> <c>                 : "\242"        cent
+Ctrl<T> <C> <slash>                 : "\242"        cent
+Ctrl<T> <slash> <C>                 : "\242"        cent
+Ctrl<T> <C> <bar>                   : "\242"        cent
+Ctrl<T> <bar> <C>                   : "\242"        cent
+Ctrl<T> <c> <bar>                   : "\242"        cent
+Ctrl<T> <bar> <c>                   : "\242"        cent
+Ctrl<T> <l> <minus>                 : "\243"        sterling
+Ctrl<T> <minus> <l>                 : "\243"        sterling
+Ctrl<T> <L> <minus>                 : "\243"        sterling
+Ctrl<T> <minus> <L>                 : "\243"        sterling
+Ctrl<T> <l> <equal>                 : "\243"        sterling
+Ctrl<T> <equal> <l>                 : "\243"        sterling
+Ctrl<T> <L> <equal>                 : "\243"        sterling
+Ctrl<T> <equal> <L>                 : "\243"        sterling
+Ctrl<T> <x> <o>                     : "\244"        currency
+Ctrl<T> <o> <x>                     : "\244"        currency
+Ctrl<T> <X> <O>                     : "\244"        currency
+Ctrl<T> <O> <X>                     : "\244"        currency
+Ctrl<T> <x> <O>                     : "\244"        currency
+Ctrl<T> <O> <x>                     : "\244"        currency
+Ctrl<T> <X> <o>                     : "\244"        currency
+Ctrl<T> <o> <X>                     : "\244"        currency
+Ctrl<T> <x> <0>                     : "\244"        currency
+Ctrl<T> <0> <x>                     : "\244"        currency
+Ctrl<T> <X> <0>                     : "\244"        currency
+Ctrl<T> <0> <X>                     : "\244"        currency
+Ctrl<T> <comma> <comma>		    : "\245"
+Ctrl<T> <bar> <bar>                 : "\246"        brokenbar
+Ctrl<T> <exclam> <asciicircum>      : "\246"        brokenbar
+Ctrl<T> <asciicircum> <exclam>      : "\246"        brokenbar
+Ctrl<T> <V> <B>                     : "\246"        brokenbar
+Ctrl<T> <B> <V>                     : "\246"        brokenbar
+Ctrl<T> <v> <b>                     : "\246"        brokenbar
+Ctrl<T> <b> <v>                     : "\246"        brokenbar
+Ctrl<T> <s> <o>                     : "\247"        section
+Ctrl<T> <o> <s>                     : "\247"        section
+Ctrl<T> <S> <O>                     : "\247"        section
+Ctrl<T> <O> <S>                     : "\247"        section
+Ctrl<T> <S> <exclam>                : "\247"        section
+Ctrl<T> <exclam> <S>                : "\247"        section
+Ctrl<T> <s> <exclam>                : "\247"        section
+Ctrl<T> <exclam> <s>                : "\247"        section
+Ctrl<T> <S> <0>                     : "\247"        section
+Ctrl<T> <0> <S>                     : "\247"        section
+Ctrl<T> <s> <0>                     : "\247"        section
+Ctrl<T> <0> <s>                     : "\247"        section
+Ctrl<T> <O> <slash>                 : "\250"        Ooblique
+Ctrl<T> <slash> <O>                 : "\250"        Ooblique
+Ctrl<T> <c> <o>                     : "\251"        copyright
+Ctrl<T> <o> <c>                     : "\251"        copyright
+Ctrl<T> <C> <O>                     : "\251"        copyright
+Ctrl<T> <O> <C>                     : "\251"        copyright
+Ctrl<T> <c> <O>                     : "\251"        copyright
+Ctrl<T> <O> <c>                     : "\251"        copyright
+Ctrl<T> <C> <o>                     : "\251"        copyright
+Ctrl<T> <o> <C>                     : "\251"        copyright
+Ctrl<T> <c> <0>                     : "\251"        copyright
+Ctrl<T> <0> <c>                     : "\251"        copyright
+Ctrl<T> <C> <0>                     : "\251"        copyright
+Ctrl<T> <0> <C>                     : "\251"        copyright
+Ctrl<T> <R> <comma>		    : "\252"	Rcedilla
+Ctrl<T> <comma> <R>		    : "\252"	Rcedilla
+Ctrl<T> <less> <less>               : "\253"        guillemotleft
+Ctrl<T> <minus> <comma>             : "\254"        notsign
+Ctrl<T> <comma> <minus>             : "\254"        notsign
+Ctrl<T> <minus> <minus>             : "\255"        hyphen
+Ctrl<T> <R> <O>                     : "\256"        registered
+Ctrl<T> <O> <R>                     : "\256"        registered
+Ctrl<T> <A> <E>                     : "\257"        AE
+Ctrl<T> <0> <asciicircum>           : "\260"        degree
+Ctrl<T> <asciicircum> <0>           : "\260"        degree
+Ctrl<T> <0> <asterisk>              : "\260"        degree
+Ctrl<T> <asterisk> <0>              : "\260"        degree
+Ctrl<T> <plus> <minus>              : "\261"        plusminus
+Ctrl<T> <minus> <plus>              : "\261"        plusminus
+Ctrl<T> <2> <asciicircum>           : "\262"        twosuperior
+Ctrl<T> <asciicircum> <2>           : "\262"        twosuperior
+Ctrl<T> <S> <2>                     : "\262"        twosuperior
+Ctrl<T> <2> <S>                     : "\262"        twosuperior
+Ctrl<T> <s> <2>                     : "\262"        twosuperior
+Ctrl<T> <2> <s>                     : "\262"        twosuperior
+Ctrl<T> <3> <asciicircum>           : "\263"        threesuperior
+Ctrl<T> <asciicircum> <3>           : "\263"        threesuperior
+Ctrl<T> <S> <3>                     : "\263"        threesuperior
+Ctrl<T> <3> <S>                     : "\263"        threesuperior
+Ctrl<T> <s> <3>                     : "\263"        threesuperior
+Ctrl<T> <3> <s>                     : "\263"        threesuperior
+Ctrl<T> <grave> <grave>		    : "\264"
+Ctrl<T> <slash> <u>                 : "\265"        mu
+Ctrl<T> <u> <slash>                 : "\265"        mu
+Ctrl<T> <slash> <U>                 : "\265"        mu
+Ctrl<T> <U> <slash>                 : "\265"        mu
+Ctrl<T> <p> <exclam>                : "\266"        paragraph
+Ctrl<T> <exclam> <p>                : "\266"        paragraph
+Ctrl<T> <P> <exclam>                : "\266"        paragraph
+Ctrl<T> <exclam> <P>                : "\266"        paragraph
+Ctrl<T> <period> <asciicircum>      : "\267"        periodcentered
+Ctrl<T> <asciicircum> <period>      : "\267"        periodcentered
+Ctrl<T> <period> <period>           : "\267"        periodcentered
+Ctrl<T> <o> <slash>                 : "\270"        oslash
+Ctrl<T> <slash> <o>                 : "\270"        oslash
+Ctrl<T> <1> <asciicircum>           : "\271"        onesuperior
+Ctrl<T> <asciicircum> <1>           : "\271"        onesuperior
+Ctrl<T> <S> <1>                     : "\271"        onesuperior
+Ctrl<T> <1> <S>                     : "\271"        onesuperior
+Ctrl<T> <s> <1>                     : "\271"        onesuperior
+Ctrl<T> <1> <s>                     : "\271"        onesuperior
+Ctrl<T> <r> <comma>		    : "\272"	rcedilla
+Ctrl<T> <comma> <r>		    : "\272"	rcedilla
+Ctrl<T> <greater> <greater>         : "\273"        guillemotright
+Ctrl<T> <1> <4>                     : "\274"        onequarter
+Ctrl<T> <1> <2>                     : "\275"        onehalf
+Ctrl<T> <3> <4>                     : "\276"        threequarters
+Ctrl<T> <a> <e>			    : "\277"	ae
+Ctrl<T> <ogonek> <A>                : "\300"        Aogonek
+Ctrl<T> <A> <ogonek>                : "\300"        Aogonek
+Ctrl<T> <a> <A>                	    : "\300"        Aogonek
+Ctrl<T> <I> <ogonek>		    : "\301"	Iogonek
+Ctrl<T> <ogonek> <I>		    : "\301"	Iogonek
+Ctrl<T> <a> <I>			    : "\301"	Iogonek
+Ctrl<T> <A> <underscore>	    : "\302"	Amacron
+Ctrl<T> <underscore> <A>		: "\302"	Amacron
+Ctrl<T> <C> <acute>			: "\303"	Cacute
+Ctrl<T> <C> <apostrophe>		: "\303"	Cacute
+Ctrl<T> <acute> <C>			: "\303"	Cacute
+Ctrl<T> <apostrophe> <C>		: "\303"	Cacute
+Ctrl<T> <A> <quotedbl>              : "\304"        Adiaeresis
+Ctrl<T> <quotedbl> <A>              : "\304"        Adiaeresis
+Ctrl<T> <A> <asterisk>              : "\305"        Aring
+Ctrl<T> <asterisk> <A>              : "\305"        Aring
+Ctrl<T> <E> <a>			: "\306"	Eogonek
+Ctrl<T> <a> <E>			: "\306"	Eogonek
+Ctrl<T> <ogonek> <E>		: "\306"        Eogonek
+Ctrl<T> <E> <ogonek>		: "\306"        Eogonek
+Ctrl<T> <E> <underscore>		: "\307"	Emacron
+Ctrl<T> <underscore> <E>		: "\307"	Emacron
+Ctrl<T> <C> <v>			: "\310"	Ccaron
+Ctrl<T> <v> <C>			: "\310"	Ccaron
+Ctrl<T> <C> <V>			: "\310"	Ccaron
+Ctrl<T> <V> <C>			: "\310"	Ccaron
+Ctrl<T> <E> <acute>                 : "\311"        Eacute
+Ctrl<T> <E> <apostrophe>            : "\311"        Eacute
+Ctrl<T> <acute> <E>                 : "\311"        Eacute
+Ctrl<T> <apostrophe> <E>            : "\311"        Eacute
+Ctrl<T> <Z>	<acute>			: "\312"	Zacute
+Ctrl<T> <Z>	<apostrophe>		: "\312"	Zacute
+Ctrl<T> <acute> <Z>			: "\312"	Zacute
+Ctrl<T> <apostrophe> <Z>		: "\312"	Zacute
+Ctrl<T> <E> <period>		: "\313"	Eabovedot
+Ctrl<T> <G> <comma>			: "\314"	Gcedilla
+Ctrl<T> <comma> <G>			: "\314"	Gcedilla
+Ctrl<T> <K> <comma>			: "\315"	Kcedilla
+Ctrl<T> <comma> <K>			: "\315"	Kcedilla
+Ctrl<T> <I> <underscore>		: "\316"	Imacron
+Ctrl<T> <underscore> <I> 		: "\316"	Imacron
+Ctrl<T> <L> <comma>			: "\317"	Lcedilla
+Ctrl<T> <comma> <L>			: "\317"	Lcedilla
+Ctrl<T> <S> <v>			: "\320"	Scaron
+Ctrl<T> <S> <V>			: "\320"	Scaron
+Ctrl<T> <v> <S>			: "\320"	Scaron
+Ctrl<T> <V> <S>			: "\320"	Scaron
+Ctrl<T> <asciicircum> <S>           : "\320"        Scaron
+Ctrl<T> <S> <asciicircum>           : "\320"        Scaron
+Ctrl<T> <N> <acute>			: "\321"	Nacute
+Ctrl<T> <N> <apostrophe>		: "\321"	Nacute
+Ctrl<T> <acute> <N>			: "\321"	Nacute
+Ctrl<T> <apostrophe> <N>		: "\321"	Nacute
+Ctrl<T> <N> <comma>			: "\322"	Ncedilla
+Ctrl<T> <comma> <N>			: "\322"	Ncedilla
+Ctrl<T> <O> <acute>                 : "\323"        Oacute
+Ctrl<T> <acute> <O>                 : "\323"        Oacute
+Ctrl<T> <O> <apostrophe>            : "\323"        Oacute
+Ctrl<T> <apostrophe> <O>            : "\323"        Oacute
+Ctrl<T> <O> <underscore>		: "\324"	Omacron
+Ctrl<T> <underscore> <O>		: "\324"	Omacron
+Ctrl<T> <O> <asciitilde>            : "\325"        Otilde
+Ctrl<T> <asciitilde> <O>            : "\325"        Otilde
+Ctrl<T> <O> <minus>                 : "\325"        Otilde
+Ctrl<T> <minus> <O>                 : "\325"        Otilde
+Ctrl<T> <O> <quotedbl>              : "\326"        Odiaeresis
+Ctrl<T> <quotedbl> <O>              : "\326"        Odiaeresis
+Ctrl<T> <x> <x>                     : "\327"        multiply
+Ctrl<T> <U> <a>			: "\330"	Uogonek
+Ctrl<T> <U> <ogonek>		: "\330"	Uogonek
+Ctrl<T> <a> <U>			: "\330"	Uogonek
+Ctrl<T> <ogonek> <U>		: "\330"	Uogonek
+Ctrl<T> <L> <slash>                 : "\331"        Lstroke
+Ctrl<T> <slash> <L>			: "\331"	Lstroke
+Ctrl<T> <S> <acute>			: "\332"	Sacute
+Ctrl<T> <S> <apostrophe>		: "\332"	Sacute
+Ctrl<T> <acute> <S>			: "\332"	Sacute
+Ctrl<T> <apostrophe> <S>		: "\332"	Sacute
+Ctrl<T> <U> <underscore>		: "\333"	Umacron
+Ctrl<T> <underscore> <U>		: "\333"	Umacron
+Ctrl<T> <U> <quotedbl>              : "\334"        Udiaeresis
+Ctrl<T> <quotedbl> <U>              : "\334"        Udiaeresis
+Ctrl<T> <Z> <period>		: "\335"	Zabovedot
+Ctrl<T> <period> <Z>		: "\335"	Zabovedot
+Ctrl<T> <Z> <v>			: "\336"	Zcaron
+Ctrl<T> <v> <Z>			: "\336"	Zcaron
+Ctrl<T> <s> <s>			: "\337"  	ssharp
+Ctrl<T> <ogonek> <a>                : "\340"        aogonek
+Ctrl<T> <a> <ogonek>                : "\340"        aogonek
+Ctrl<T> <a> <a>                	: "\340"        aogonek
+Ctrl<T> <i> <ogonek>		: "\341"	iogonek
+Ctrl<T> <i> <a>			: "\341"	iogonek
+Ctrl<T> <a> <i>			: "\341"	iogonek
+Ctrl<T> <ogonek> <i>		: "\341"	iogonek
+Ctrl<T> <a> <underscore>		: "\342"	amacron
+Ctrl<T> <underscore> <a>		: "\342"	amacron
+Ctrl<T> <c> <acute>			: "\343"	cacute
+Ctrl<T> <acute> <c>			: "\343"	cacute
+Ctrl<T> <c> <apostrophe>		: "\343"	cacute
+Ctrl<T> <apostrophe> <c>		: "\343"	cacute
+Ctrl<T> <a> <quotedbl>              : "\344"        adiaeresis
+Ctrl<T> <quotedbl> <a>              : "\344"        adiaeresis
+Ctrl<T> <a> <asterisk>              : "\345"        aring
+Ctrl<T> <asterisk> <a>              : "\345"        aring
+Ctrl<T> <e> <ogonek>		: "\346"	eogonek
+Ctrl<T> <e> <a>			: "\346"	eogonek
+Ctrl<T> <a> <e>			: "\346"	eogonek
+Ctrl<T> <ogonek> <e>		: "\346"	eogonek
+Ctrl<T> <e> <underscore>		: "\347"	emacron
+Ctrl<T> <underscore> <e>		: "\347"	emacron
+Ctrl<T> <c> <v>			: "\350"	ccaron
+Ctrl<T> <v> <c>			: "\350"	ccaron
+Ctrl<T> <c> <V>			: "\350"	ccaron
+Ctrl<T> <V> <c>			: "\350"	ccaron
+Ctrl<T> <e> <acute>                 : "\351"        eacute
+Ctrl<T> <acute> <e>                 : "\351"        eacute
+Ctrl<T> <e> <apostrophe>            : "\351"        eacute
+Ctrl<T> <apostrophe> <e>            : "\351"        eacute
+Ctrl<T> <z>	<acute>			: "\352"	zacute
+Ctrl<T> <z>	<apostrophe>		: "\352"	zacute
+Ctrl<T> <acute> <z>			: "\352"	zacute
+Ctrl<T> <apostrophe> <z>		: "\352"	zacute
+Ctrl<T> <e> <period>		: "\353"	eabovedot
+Ctrl<T> <period> <e>		: "\353"	eabovedot
+Ctrl<T> <g> <comma>			: "\354"	gcedilla
+Ctrl<T> <comma> <g>			: "\354"	gcedilla
+Ctrl<T> <k> <comma>			: "\355"	kcedilla
+Ctrl<T> <comma> <k>			: "\355"	kcedilla
+Ctrl<T> <i> <underscore>		: "\356"	imacron
+Ctrl<T> <underscore> <i> 		: "\356"	imacron
+Ctrl<T> <l> <comma>			: "\357"	lcedilla
+Ctrl<T> <comma> <l>			: "\357"	lcedilla
+Ctrl<T> <s> <v>			: "\360"	scaron
+Ctrl<T> <s> <V>			: "\360"	scaron
+Ctrl<T> <v> <s>			: "\360"	scaron
+Ctrl<T> <V> <s>			: "\360"	scaron
+Ctrl<T> <n> <acute>			: "\361"	nacute
+Ctrl<T> <acute> <n>			: "\361"	nacute
+Ctrl<T> <n> <apostrophe>		: "\361"	nacute
+Ctrl<T> <apostrophe> <n>		: "\361"	nacute
+Ctrl<T> <n> <comma>			: "\362"	ncedilla
+Ctrl<T> <comma> <n>			: "\362"	ncedilla
+Ctrl<T> <o> <acute>                 : "\363"        oacute
+Ctrl<T> <acute> <o>                 : "\363"        oacute
+Ctrl<T> <o> <apostrophe>            : "\363"        oacute
+Ctrl<T> <apostrophe> <o>            : "\363"        oacute
+Ctrl<T> <o> <underscore>		: "\364"	omacron
+Ctrl<T> <underscore> <o>		: "\364"	omacron
+Ctrl<T> <o> <asciitilde>            : "\365"        otilde
+Ctrl<T> <asciitilde> <o>            : "\365"        otilde
+Ctrl<T> <o> <minus>                 : "\365"        otilde
+Ctrl<T> <minus> <o>                 : "\365"        otilde
+Ctrl<T> <o> <quotedbl>              : "\366"        odiaeresis
+Ctrl<T> <quotedbl> <o>              : "\366"        odiaeresis
+Ctrl<T> <minus> <colon>             : "\367"        division
+Ctrl<T> <colon> <minus>             : "\367"        division
+Ctrl<T> <u> <a>			: "\370"	uogonek
+Ctrl<T> <u> <ogonek>		: "\370"	uogonek
+Ctrl<T> <a> <u>			: "\370"	uogonek
+Ctrl<T> <ogonek> <u>		: "\370"	uogonek
+Ctrl<T> <l> <slash>                 : "\371"        lstroke
+Ctrl<T> <slash> <l>			: "\371"	lstroke
+Ctrl<T> <s> <acute>			: "\372"	sacute
+Ctrl<T> <acute> <s>			: "\372"	sacute
+Ctrl<T> <s> <apostrophe>		: "\372"	sacute
+Ctrl<T> <apostrophe> <s>		: "\372"	sacute
+Ctrl<T> <u> <underscore>		: "\373"	umacron
+Ctrl<T> <underscore> <u>		: "\373"	umacron
+Ctrl<T> <u> <quotedbl>              : "\374"        udiaeresis
+Ctrl<T> <quotedbl> <u>              : "\374"        udiaeresis
+Ctrl<T> <z> <period>		: "\375"	zabovedot
+Ctrl<T> <period> <z>		: "\375"	zabovedot
+Ctrl<T> <z> <v>			: "\376"	zcaron
+Ctrl<T> <v> <z>			: "\376"	zcaron
+Ctrl<T> <comma> <space>		: "\377"
+Ctrl<T> <space> <comma>		: "\377"
 
 XCOMM End of Sequence Definition
